%define upstream_name    Plack-Test-ExternalServer
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Run HTTP tests on external live servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Plack::Loader)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(URI)
BuildArch: noarch

%{?perl_default_filter}

%description
This module allows your to run your Plack::Test tests against an external
server instead of just against a local application through either mocked
HTTP or a locally spawned server.

See the Plack::Test manpage on how to write tests that can use this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.20.0-6.mga9
+ Revision: 1830012
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-5.mga8
+ Revision: 1496603
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-4.mga7
+ Revision: 1270531
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-3.mga6
+ Revision: 1032223
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.20.0-2.mga6
+ Revision: 968283
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.20.0-1.mga6
+ Revision: 852002
- update to 0.02

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 743881
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.10.0-5.mga5
+ Revision: 733263
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685992
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514113
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 371895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-Plack-Test-ExternalServer


* Sat Aug 20 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
